org.apache.poi.xssf.usermodel

## Class XSSFEvaluationWorkbook

- java.lang.Object
- - org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook
  - - org.apache.poi.xssf.usermodel.XSSFEvaluationWorkbook

- All Implemented Interfaces:
    EvaluationWorkbook, FormulaParsingWorkbook, FormulaRenderingWorkbook

      @Internal
      public final class XSSFEvaluationWorkbook
      extends BaseXSSFEvaluationWorkbook

  Internal POI use only

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.ss.formula.EvaluationWorkbook

      `EvaluationWorkbook.ExternalName, EvaluationWorkbook.ExternalSheet, EvaluationWorkbook.ExternalSheetRange`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook

      `_uBook`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAllCachedResultValues()` Propagated from `WorkbookEvaluator.clearAllCachedResultValues()` to clear locally cached data.
    `static XSSFEvaluationWorkbook` | `create(XSSFWorkbook book)`
    `Ptg[]` | `getFormulaTokens(EvaluationCell evalCell)`
    `EvaluationSheet` | `getSheet(int sheetIndex)`
    `int` | `getSheetIndex(EvaluationSheet evalSheet)`

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook

      `convertFromExternSheetIndex, createName, get3DReferencePtg, get3DReferencePtg, getExternalName, getExternalName, getExternalSheet, getExternalSheet, getExternalSheetIndex, getExternalSheetIndex, getName, getName, getNameText, getNameXPtg, getSheetFirstNameByExternSheet, getSheetIndex, getSheetLastNameByExternSheet, getSheetName, getSpreadsheetVersion, getTable, getUDFFinder, resolveNameXText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static XSSFEvaluationWorkbook create(XSSFWorkbook book)

    - #### clearAllCachedResultValues

          public void clearAllCachedResultValues()

      Description copied from interface: `EvaluationWorkbook`
      Propagated from `WorkbookEvaluator.clearAllCachedResultValues()` to clear locally cached data. Implementations must call the same method on all referenced `EvaluationSheet` instances, as well as clearing local caches.
      Specified by:
        `clearAllCachedResultValues` in interface `EvaluationWorkbook`
      Overrides:
        `clearAllCachedResultValues` in class `BaseXSSFEvaluationWorkbook`
      See Also:
        `WorkbookEvaluator.clearAllCachedResultValues()`

    - #### getSheetIndex

          public int getSheetIndex(EvaluationSheet evalSheet)

      Returns:
        -1 if the specified sheet is from a different book

    - #### getSheet

          public EvaluationSheet getSheet(int sheetIndex)

    - #### getFormulaTokens

          public Ptg[] getFormulaTokens(EvaluationCell evalCell)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.